## libgaminggear 0.15.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
IF(POLICY CMP0022)
  CMAKE_POLICY(SET CMP0022 OLD)
ENDIF()

PROJECT(libgaminggear C)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCC)
  # * Force gcc to generate single line error messages (used for eclipse cdt)
  # * Play it save with lots of warning messages
  # * Define GNU source for some extras
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0 -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-type-limits -D_GNU_SOURCE")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
  SET(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} -Wl,--as-needed")
ENDIF()
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE -DG_ERRORCHECK_MUTEXES -DG_ENABLE_DIAGNOSTIC")
SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT")

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules")

INCLUDE(INSTALL_LIBDIR)
INCLUDE(INSTALL_CMAKE_MODULESDIR)
INCLUDE(INSTALL_PKGCONFIGDIR)

IF(WITH_UHID)
  FIND_PACKAGE(UHID REQUIRED)
ELSEIF(WITH_UINPUT)
  FIND_PACKAGE(UINPUT REQUIRED)
ELSE()
  FIND_PACKAGE(UHID)
  IF(NOT UHID_FOUND)
    FIND_PACKAGE(UINPUT)
	IF(NOT UINPUT_FOUND)
	  MESSAGE(FATAL_ERROR "Neither uhid nor uinput was found")
	ENDIF()
  ENDIF()
ENDIF()

FIND_PACKAGE(CANBERRA REQUIRED)
FIND_PACKAGE(GMODULE2 REQUIRED)
FIND_PACKAGE(GTK REQUIRED)
FIND_PACKAGE(M REQUIRED)
FIND_PACKAGE(NOTIFY REQUIRED)
FIND_PACKAGE(SQLITE3 3.7)

FIND_LIBRARY(RT_LIBRARY rt)

IF(NOT GFX_PLUGIN_DIR)
  SET(GFX_PLUGIN_DIR ${INSTALL_LIBDIR}/gaminggear_plugins)
ENDIF()
MESSAGE(STATUS "Installing gfx plugins in ${GFX_PLUGIN_DIR}")

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  @ONLY
)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

SET(V_MAJOR 0)
SET(V_MINOR 15)
SET(V_MICRO 1)
SET(TRANSLATION_LANGUAGES de en)

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_BINARY_DIR}/include
  ${CANBERRA_INCLUDE_DIRS}
  ${GTK_INCLUDE_DIRS}
  ${M_INCLUDE_DIR}
  ${NOTIFY_INCLUDE_DIRS}
)

ADD_SUBDIRECTORY(configuration)
ADD_SUBDIRECTORY(gaminggearfxcontrol)
ADD_SUBDIRECTORY(gaminggearfxinfo)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(include)
ADD_SUBDIRECTORY(libgaminggear)
ADD_SUBDIRECTORY(libgaminggearfx)
ADD_SUBDIRECTORY(libgaminggearwidget)
ADD_SUBDIRECTORY(po)

=== configuration/CMakeLists.txt ===
IF(SQLITE3_FOUND)
  LIST(APPEND ADDITIONAL_REQUIREMENTS sqlite3)
ENDIF()

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/gaminggear.pc.in ${CMAKE_CURRENT_BINARY_DIR}/gaminggear.pc @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/gaminggear.pc
  DESTINATION ${INSTALL_PKGCONFIGDIR}
  RENAME gaminggear-${V_MAJOR}.pc
)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/FindGAMINGGEAR.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/FindGAMINGGEAR.cmake @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindGAMINGGEAR.cmake
  DESTINATION ${INSTALL_CMAKE_MODULESDIR}
  RENAME FindGAMINGGEAR${V_MAJOR}.cmake
)

=== gaminggearfxcontrol/CMakeLists.txt ===
ADD_EXECUTABLE(gaminggearfxcontrol
  gaminggearfxcontrol.c
)

SET_TARGET_PROPERTIES(gaminggearfxcontrol
  PROPERTIES
    COMPILE_FLAGS "-fvisibility=hidden"
)

TARGET_LINK_LIBRARIES(gaminggearfxcontrol
  libgaminggearfx
  ${GLIB2_LIBRARIES}
)

INSTALL(TARGETS gaminggearfxcontrol
  DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== gaminggearfxinfo/CMakeLists.txt ===
ADD_EXECUTABLE(gaminggearfxinfo
  gaminggearfxinfo.c
)

SET_TARGET_PROPERTIES(gaminggearfxinfo
  PROPERTIES
    COMPILE_FLAGS "-fvisibility=hidden"
)

TARGET_LINK_LIBRARIES(gaminggearfxinfo
  libgaminggearfx
  ${GLIB2_LIBRARIES}
)

INSTALL(TARGETS gaminggearfxinfo
  DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== icons/CMakeLists.txt ===
FOREACH(size 16)
  FOREACH(name link link_break press release wait)
    INSTALL(FILES ${name}_${size}x${size}x32.png
      DESTINATION share/libgaminggear/icons/hicolor/${size}x${size}/actions
      RENAME gaminggear-${name}.png
    )
  ENDFOREACH()
ENDFOREACH()

=== include/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/gaminggear/gaminggear.h.in ${CMAKE_CURRENT_BINARY_DIR}/gaminggear/gaminggear.h)

ADD_CUSTOM_TARGET(generated_headers ALL
  DEPENDS
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    ${CMAKE_CURRENT_BINARY_DIR}/gaminggear/gaminggear.h
)

ADD_SUBDIRECTORY(gaminggear)

=== libgaminggear/CMakeLists.txt ===
ADD_CUSTOM_COMMAND(
  OUTPUT
    ${CMAKE_CURRENT_BINARY_DIR}/g_cclosure_gaminggear_marshaller.h
    ${CMAKE_CURRENT_BINARY_DIR}/g_cclosure_gaminggear_marshaller.c
  COMMAND glib-genmarshal --header --prefix=g_cclosure_gaminggear_marshal ${CMAKE_CURRENT_SOURCE_DIR}/g_gaminggear_marshaller >${CMAKE_CURRENT_BINARY_DIR}/g_cclosure_gaminggear_marshaller.h
  COMMAND glib-genmarshal --body --prefix=g_cclosure_gaminggear_marshal ${CMAKE_CURRENT_SOURCE_DIR}/g_gaminggear_marshaller >${CMAKE_CURRENT_BINARY_DIR}/g_cclosure_gaminggear_marshaller.c
  DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/g_gaminggear_marshaller
)

SET(SOURCES
  gaminggear_audio_notificator_canberra.c
  gaminggear_configuration.c
  gaminggear_device.c
  gaminggear_helper.c
  gaminggear_key_file.c
  gaminggear_key_translations.c
  gaminggear_macro_keystrokes.c
  gaminggear_macro_thread.c
  gaminggear_macro_threads.c
  gaminggear_macro.c
  gaminggear_macros.c
  gaminggear_profile_data.c
  gaminggear_profiles.c
  gaminggear_screen_notificator_notify.c
  macros_converter_roccat_arvo.c
  macros_converter_roccat_kone.c
  macros_converter_roccat_swarm.c
  macros_converter_roccat_valo.c
  macros_converter_roccat.c
  ${CMAKE_CURRENT_BINARY_DIR}/g_cclosure_gaminggear_marshaller.c
)

SET(LIBRARIES
  ${CANBERRA_LIBRARIES}
  ${GLIB2_LIBRARIES}
  ${NOTIFY_LIBRARIES}
)

IF(SQLITE3_FOUND)
  LIST(APPEND SOURCES macros_converter_steelseries_engine3.c)
  LIST(APPEND LIBRARIES ${SQLITE3_LIBRARIES})
ENDIF()

IF(UHID_FOUND)
  LIST(APPEND SOURCES gaminggear_input_events_uhid.c)
ELSEIF(UINPUT_FOUND)
  LIST(APPEND SOURCES gaminggear_input_events_uinput.c)
ENDIF()

ADD_LIBRARY (libgaminggear SHARED ${SOURCES})

ADD_DEPENDENCIES(libgaminggear
  generated_headers
)

TARGET_LINK_LIBRARIES(libgaminggear ${LIBRARIES})

TARGET_LINK_LIBRARIES(libgaminggear LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libgaminggear
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_MICRO}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME gaminggear
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"GamingGear\\\""
)

INSTALL(TARGETS libgaminggear DESTINATION ${INSTALL_LIBDIR})

=== libgaminggearfx/CMakeLists.txt ===
ADD_LIBRARY(libgaminggearfx SHARED
  gaminggear_fx.c
)

TARGET_LINK_LIBRARIES(libgaminggearfx
  ${GMODULE2_LIBRARIES}
  ${GLIB2_LIBRARIES}
)

TARGET_LINK_LIBRARIES(libgaminggearfx LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libgaminggearfx
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_MICRO}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME gaminggearfx
)

INSTALL(TARGETS libgaminggearfx DESTINATION ${INSTALL_LIBDIR})
INSTALL(DIRECTORY DESTINATION ${GFX_PLUGIN_DIR})

=== libgaminggearwidget/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/libgaminggear
  ${CMAKE_BINARY_DIR}/libgaminggear
)

ADD_LIBRARY (libgaminggearwidget SHARED
  gaminggear_about_dialog.c
  gaminggear_dialogs.c
  gaminggear_dscale.c
  gaminggear_gdk_key_translations.c
  gaminggear_hid_combo_box.c
  gaminggear_hscale.c
  gaminggear_macro_combo_box.c
  gaminggear_macro_dialog.c
  gaminggear_macro_editor_advanced_list_store.c
  gaminggear_macro_editor_advanced_table.c
  gaminggear_macro_editor_advanced.c
  gaminggear_macro_editor_basic_list_store.c
  gaminggear_macro_editor_basic_tree_view.c
  gaminggear_macro_editor_basic.c
  gaminggear_macro_editor_dialog_menu_bar.c
  gaminggear_macro_editor_dialog.c
  gaminggear_macro_editor_interface.c
  gaminggear_macro_editor_key_sequence_frame.c
  gaminggear_macro_editor_macro_options_frame.c
  gaminggear_macro_editor_macros_frame.c
  gaminggear_macro_editor_record_options_frame.c
  gaminggear_macro_editor.c
  gaminggear_macro_tree_store.c
  gaminggear_macro_tree_view.c
  gaminggear_profile_list_store.c
  gaminggear_profile_page.c
  gaminggear_profile_table.c
  gaminggear_ruler.c
  gaminggear_text_dialog.c
  gaminggear_timeout_bar.c
  gaminggear_timeout_dialog.c
  gaminggear_xy_scales.c
  gaminggearwidget.c
  gaminggearwidget_helper.c
  gtk_gaminggear_helper.c
)

ADD_DEPENDENCIES(libgaminggearwidget
  generated_headers
)

TARGET_LINK_LIBRARIES(libgaminggearwidget
  libgaminggear
  ${M_LIBRARY}
  ${GTK_LIBRARIES}
  ${GDK_LIBRARIES}
  ${RT_LIBRARY}
)

TARGET_LINK_LIBRARIES(libgaminggearwidget LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libgaminggearwidget
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_MICRO}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME gaminggearwidget
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"GamingGear\\\""
)

INSTALL(TARGETS libgaminggearwidget DESTINATION ${INSTALL_LIBDIR})

=== po/CMakeLists.txt ===
FILE(GLOB_RECURSE _GETTEXT_SOURCES_REL RELATIVE ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/*.c)

# Resulting files of targets gettext_template and gettext_translation_* are part
# of the source distribution and are to be created/updated explicitly by developers.
# mo files are created automatically as part of the compilation/installation process.

# After a new po file has been created, please change charset to UTF-8.

# Build portable object template
ADD_CUSTOM_TARGET(gettext_template
  # charset in resulting .pot is not set to UTF-8 if sources use only ascii chars.
  xgettext --default-domain=${CMAKE_PROJECT_NAME}
  --output=${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot --sort-output
  --keyword --keyword=_ --keyword=N_ --keyword=C_:1c,2 --keyword=NC_:1c,2
  --from-code=UTF-8 --language=C
  --package-name=${CMAKE_PROJECT_NAME} --package-version=${V_MAJOR}.${V_MINOR}.${V_PATCH}
  ${_GETTEXT_SOURCES_REL}
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

FOREACH(language ${TRANSLATION_LANGUAGES})
  # Build portable object
  ADD_CUSTOM_TARGET(gettext_translation_${language}
    if [ -e ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po ]\; then
      # Not using --update option for msgmerge because timestamp is not updated
      # when nothing changed.
      msgmerge ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot --output-file=${CMAKE_CURRENT_SOURCE_DIR}/${language}.po\;
    else
      msginit --locale=${language} --input=${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot --output-file=${CMAKE_CURRENT_SOURCE_DIR}/${language}.po\;
    fi
  )

  # Build machine object
  ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
    COMMAND msgfmt ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po --output-file=${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po
  )

  ADD_CUSTOM_TARGET(gettext_mo_${language} ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
  )

  INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
    DESTINATION share/locale/${language}/LC_MESSAGES
    RENAME ${CMAKE_PROJECT_NAME}.mo
  )  
ENDFOREACH()

UNSET(_GETTEXT_SOURCES_REL)

=== include/gaminggear/CMakeLists.txt ===
IF(WITH_DOC)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)

  ADD_CUSTOM_COMMAND(
    OUTPUT
      ${CMAKE_CURRENT_BINARY_DIR}/html/index.html
    COMMAND doxygen
    DEPENDS
      ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
      ${CMAKE_CURRENT_SOURCE_DIR}/*.h
  )

  ADD_CUSTOM_TARGET(documentation ALL
    DEPENDS
      ${CMAKE_CURRENT_BINARY_DIR}/html/index.html
  )
  
  INSTALL(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION share/doc/libgaminggear
  )
ENDIF()

INSTALL(
  FILES
    audio_notificator.h
    input_events.h
    gaminggear_device.h
    gaminggear_fx_plugin.h
    gaminggear_hid_combo_box.h
    gaminggear_hscale.h
    gaminggear_macro_dialog.h
    gaminggear_macro_editor_dialog.h
    gaminggear_profile_data.h
    gaminggear_profile_page.h
    gaminggear_profile_table.h
    gaminggear_text_dialog.h
    gaminggear_timeout_bar.h
    gaminggear_timeout_dialog.h
    gaminggear_xy_scales.h
	${CMAKE_CURRENT_BINARY_DIR}/gaminggear.h
    gdk_key_translations.h
    gfx.h
    hid_uid.h
    key_translations.h
    macro.h
    macro_threads.h
    profiles.h
    screen_notificator.h
    threads.h
  DESTINATION include/gaminggear-${V_MAJOR}/gaminggear
)

=== debian/changelog ===
libgaminggear (0.15.1-11) unstable; urgency=medium

  * Rebuild sourceful to allow entering testing.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 15 Apr 2020 17:06:33 +0200

libgaminggear (0.15.1-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Pierre-Elliott Bécue ]
  * Update my maintainer address
  * Bump Standards-Version to 4.5.0
  * Switch to debhelper-compat

  [ Laurent Bigonville ]
  * d/p/:
    - Create patch 0003 to add PANGO includes to the ones CMake searches for
      at build time.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 15 Apr 2020 15:51:46 +0200

libgaminggear (0.15.1-9) unstable; urgency=medium

  * d/control:
    - Update Vcs-* links to salsa.
    - Bump Standards-Version to 4.1.4. No Change required.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 13 May 2018 18:23:40 +0200

libgaminggear (0.15.1-8) unstable; urgency=medium

  * Add d/p/0002 in order to provide more explicit error messages when
    gfx_initialize(void) fails because of missing/empty plugins directory.
    (Closes: #891840)

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 06 Mar 2018 14:03:37 +0100

libgaminggear (0.15.1-7) unstable; urgency=medium

  [ Adrian Bunk ]
  * d/not-installed:
    - Fix the cmake line as it's version-dependent (Closes: #891160)

  [ Pierre-Elliott Bécue ]
  * Add d/s/lintian-overrides to ignore the gpg signature check tag as
    upstream doesn't provide any gpg signature.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 23 Feb 2018 09:38:31 +0100

libgaminggear (0.15.1-6) unstable; urgency=medium

  * Fixes the screwup I did in -4 to close a bug, and do the actual expected
    thing instead. (Closes: #886464)

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 23 Jan 2018 13:24:57 +0100

libgaminggear (0.15.1-5) unstable; urgency=medium

  * d/control:
    - Add a missing Breaks+Replaces reference on -doc package regarding files
      previously in -dev package. (Closes: #887797)

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 20 Jan 2018 18:20:45 +0100

libgaminggear (0.15.1-4) unstable; urgency=medium

  * Put the uinput.conf in the appropriate directory (Closes: #886464)
  * Move the documentation from libgaminggear-dev to libgaminggear-doc. This
    closes an issue with the multiarch hinter as the doc files are conflicting
    between the different architecture packages.
  * Bump Standards-Version to 4.1.3.

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 08 Jan 2018 01:04:42 +0100

libgaminggear (0.15.1-3) unstable; urgency=medium

  * d/patches/0001: add a copyright statement for the created files.
  * d/control: change all Architecture: any to linux-any. (Closes: #885243)

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 22 Dec 2017 19:04:18 +0100

libgaminggear (0.15.1-2) unstable; urgency=medium

  * Add a note in d/copyright regarding a potentially misleading Copyright
    entry into one of the source files.
  * Create d/patches/0001_ to provide a CMake config file for Gaminggear so
    that this lib is available via CMake for packages that build-depend on it.
  * debian/watch: fix watch link.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 22 Dec 2017 10:35:57 +0100

libgaminggear (0.15.1-1) unstable; urgency=medium

  * Initial release (Closes: #773402)

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 20 Dec 2017 17:56:30 +0100

=== debian/control ===
Source: libgaminggear
Priority: optional
Maintainer: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: cmake (>= 2.6.4),
               debhelper-compat (= 12),
               dh-exec,
               doxygen,
               libcanberra-dev,
               libglib2.0-dev,
               libgtk2.0-dev (>= 2.20),
               libnotify-dev,
               libsqlite3-dev (>= 3.7),
               pkg-config
Standards-Version: 4.5.0
Section: libs
Homepage: http://libgaminggear.sourceforge.net
Vcs-Browser: https://salsa.debian.org/debian/libgaminggear
Vcs-Git: https://salsa.debian.org/debian/libgaminggear.git

Package: libgaminggear-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libgaminggear0 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk2.0-dev,
         ${misc:Depends}
Recommends: libgaminggear-doc
Description: Functionalities for gaming input devices (devel)
 Libgaminggear contains functionalities for tools interacting with gaming
 hardware. This package provides the headers files needed to develop using this
 library.

Package: libgaminggear-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Suggests: libgaminggear-dev
Breaks: libgaminggear-dev (<< 0.15.1-4)
Replaces: libgaminggear-dev (<< 0.15.1-4)
Depends: ${misc:Depends}
Description: Functionalities for gaming input devices (documentation)
 This package provides the doxy-generated documentation extracted from
 libgaminggear source code. It thus provides a bit of intel on how to develop
 software using this library.

Package: libgaminggear0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgaminggear-common, ${misc:Depends}, ${shlibs:Depends}
Description: Functionalities for gaming input devices
 Libgaminggear0 contains needed functionalities for roccat-tools that are not
 vendor specific and therefore might be useful for similar software. It
 contains some GUI elements for unifying look and feel of such type of
 software up to a complete macro editor with multi vendor import/export
 functionality. It also contains software macro playback functionality and
 audio/screen notifications.

Package: libgaminggear-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Functionalities for gaming input devices, common files
 This package contains the icons and other generic files that are not
 development files or libraries, useful for libgaminggear0 and
 gaminggear-utils.

Package: gaminggear-utils
Section: x11
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities from libgaminggear
 Includes the following binaries:
 * gaminggearfxinfo
 * gaminggearfxcontrol
 .
 This package contains the runtime binaries that allows one to get and control
 some of the visual effects that gaming devices might provide, such as LEDS.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CMAKE_NORMAL_ARGS =

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_DOC=TRUE

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://sf.net/libgaminggear/libgaminggear-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
